<div class="content">
  <div style="grid-area: searchList;">
    <div class="searchPanel">
      <mat-form-field class="search" subscriptSizing="dynamic">
        <mat-label>{{searchText}}</mat-label>
        <input matInput [(ngModel)]="searchInput" (ngModelChange)="search()">
        <mat-icon matSuffix>search</mat-icon>
      </mat-form-field>

      <button
        *ngIf="hasNewButton"
        mat-raised-button
        aria-label="New Profile"
        [routerLink]="['/', endpoint, 'new']"
        class="new"
      >
        <mat-icon>add</mat-icon> {{newButtonText}}
      </button>
    </div>

    <div *ngIf="endpoint == 'profiles'" class="elemGrid">
      <app-item-card
        *ngFor="let profile of tempList$ | async"
        [routerLink]="'/' + endpoint + '/' + profile.id"
        [shortcut]="profile.shortcut"
        [title]="profile.title"
        [logo]="profile.logo ? mediaEndpoint + 'logos/' + profile.logo : ''"
      ></app-item-card>
    </div>
    <div *ngIf="endpoint == 'networks'" class="elemGrid">
      <app-item-card
        *ngFor="let network of tempList$ | async"
        [routerLink]="'/' + endpoint + '/' + network.id"
        [shortcut]="network.shortcut"
        [title]="network.name"
        [logo]="network.logo ? mediaEndpoint + 'logos/' + network.logo : ''"
      ></app-item-card>
    </div>
    <div *ngIf="endpoint == 'clusters'" class="elemGrid">
      <app-cluster-card
        *ngFor="let cluster of tempList$ | async"
        [cluster]="cluster"
        (click)="openClusterDialog(cluster)"
      ></app-cluster-card>
    </div>
  </div>

  <mat-card class="info" style="grid-area: info;">
    <mat-card-title>Info</mat-card-title>
    <div class="blackLine" style="margin-bottom: 15px;"></div>
    <p>{{description}}</p>
  </mat-card>
</div>
